#include "extern.h"

#ifndef NDEBUG
struct _osinfo _osdata;
#endif

struct    _sysmsg_version_reply    version_stamp = {
        "PS/2 SCSI",
        __DATE__,
        VERSION,*RELEASE,
        0
    };

char driver_name[_DNAME_PREFIX] = FIXED_DISK_PREFIX;
    char    *fsys_name=_FSYS_NAME;

void (* (etable[_DRIVER_TBL_SIZE]))() = {
        ps2s_init,
        ps2s_term,
        ps2s_open,
        ps2s_close,
        ps2s_io
    };

volatile int         DriverState;
unsigned    Function;        /* Function interrupt handler is doing    */
unsigned    NumBlocks;        /* Number of blocks yet to transfer        */
unsigned    DriveNo = 0;    /* Disk number */
int         int_id;

/*
    These areas are for the binding between the filesystem and the driver,
    they are 'relative' constants, that is they can only be redefined at
    startup.

*/

pid_t        NotifyPid;            /* Proxy for int handler to use    */
pid_t        FsysPid;            
unsigned    MaxIO                = MAX_IO,
            io_addr         = CTL_ADDRESS,
            hw_irq    = CTL_INTERRUPT;

/*
    This buffer is defined when the driver is initialed.
*/
    struct dma_buffer    iobuffer;    
disk_t    disk[MAX_NDRIVES];    /* Disk parameter tables    */

#define    wstr(x,fd)    (write((fd),(x),strlen(x)))

long    stack[STACK_SIZE];
